<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('functions_func_e.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="contents">
<div class="textblock">Here is a list of all functions with links to the classes they belong to:</div>

<h3><a id="index_e" name="index_e"></a>- e -</h3><ul>
<li>Empty()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_dyn_array.html#a044fc26f44ed3e96ffaeac542188149e">tinyxml2::DynArray&lt; T, INITIAL_SIZE &gt;</a>, <a class="el" href="classtinyxml2_1_1_str_pair.html#aca963a7eaa900bfddbea7312f040b39c">tinyxml2::StrPair</a></li>
<li>EnsureCapacity()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_dyn_array.html#a30f2dec82744b45667452e6ce3d51e32">tinyxml2::DynArray&lt; T, INITIAL_SIZE &gt;</a></li>
<li>Error()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a34e6318e182e40e3cc4f4ba5d59ed9ed">tinyxml2::XMLDocument</a></li>
<li>ErrorID()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#afa3ed33b3107f920ec2b301f805ac17d">tinyxml2::XMLDocument</a></li>
<li>ErrorIDToName()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a639f7c295c38dc5a4aafeb2fff93da03">tinyxml2::XMLDocument</a></li>
<li>ErrorLineNum()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a57400f816dbe7799ece33615ead9ab76">tinyxml2::XMLDocument</a></li>
<li>ErrorName()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a1a5f2b63427caffd4cde15781d9d11f9">tinyxml2::XMLDocument</a></li>
<li>ErrorStr()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#ae97fff2402a0d01e0509c430b37996b3">tinyxml2::XMLDocument</a></li>
<li>evaluate_kernel()&#160;:&#160;<a class="el" href="classmelon_1_1kernel_1_1_kernel.html#a8ec36af697437b1a9b6ff84efb237e14">melon::kernel::Kernel&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_composite_add.html#a2af41f4a028e420edaca18501bf10a58">melon::kernel::KernelCompositeAdd&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_composite_multiply.html#a39cea278adc79c371f3a05cb61631ecb">melon::kernel::KernelCompositeMultiply&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_constant.html#a6bdac5c342fb8b15b5dee84d41443216">melon::kernel::KernelConstant&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html#af77cb8a39caa7d5191aa560eb80d2f09">melon::kernel::KernelRBF&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_matern12.html#abee77e01af24c67dfc897e85cc9fe9e0">melon::kernel::Matern12&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_matern32.html#aaec97a47e2fbdafeb544a133a1096ff5">melon::kernel::Matern32&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_matern52.html#afa52e2e7fcf02852db995e5570303609">melon::kernel::Matern52&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_matern_inf.html#a234fac115337961d3b38bf311003f39e">melon::kernel::MaternInf&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html#ae9793199628aa2042e9e546965400db5">melon::kernel::StationaryKernel&lt; T, V &gt;</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
